Bug 6370 - Use Volume hardware key for adjust the device volume instead of zooming a pdf
: Use Volume hardware key for adjust the device volume instead of zooming a pdf
Status: RESOLVED WONTFIX
Product: Utilities
PDF reader
: 5.0:(20.2010.36-2)
: N900 Maemo
: Low enhancement with 2 votes (vote)
: ---
Assigned To: unassigned
: pdf-reader-bugs
:
:
:
: 6347
  Show dependency tree
 
Reported: 2009-11-27 17:28 UTC by Uwe Kaminski
Modified: 2012-03-24 11:43 UTC (History)
6 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Uwe Kaminski (reporter) 2009-11-27 17:28:47 UTC
SOFTWARE VERSION:
1.2009.42-11

STEPS TO REPRODUCE THE PROBLEM:
1. Start pdf reader and open a pdf file.
2. Press the + or - hardware buttons.

EXPECTED OUTCOME:
Audio volume change.

ACTUAL OUTCOME:
pdf zooming in or out.

REPRODUCIBILITY:
Always.

There should be a general solution. See also Bug 5387 AND Bug 6048
Comment 1 Tim Samoff maemo.org 2009-11-28 06:30:52 UTC
Same for web browser. There is nothing more annoying than a YouTube video
starting at full volume and not being able to adjust the volume without
minimizing the window, etc.
Comment 2 Otto Kekäläinen 2010-01-18 12:16:09 UTC
I suggest the PDF viewer should support the spiral gesture and us that for
zooming instead. Let he volume key stay as a volume key..
Comment 3 Andre Klapper maemo.org 2012-03-24 11:43:34 UTC
The Maemo 5 User Interface and Maemo 5 platform components (e.g. libraries)
used for the N900 are considered stable by Nokia and it seems that there are no
plans for official updates currently, hence nobody plans to work on this
enhancement/wishlist request. 
(And in case you feel like discussing this situation: Nokia Customer Care or
http://talk.maemo.org would be the place to do so as you will not reach Nokia
officials in this community bugtracker - though all of this is really no news.)

Reflecting this status by setting RESOLVED WONTFIX for this
enhancement/wishlist request (see
https://bugs.maemo.org/page.cgi?id=fields.html#status for status explanations).

There is a small chance for issues in those Maemo components that are open
source: Contributed patches could be included and made available in the Maemo 5
Community CSSU updates. 
The Maemo CSSU project is run by a small team of volunteers; see
http://wiki.maemo.org/CSSU for more information.
So in case that you can provide a patch that fixes the reported problem, please
feel encouraged to file a request under
https://bugs.maemo.org/enter_bug.cgi?product=Maemo%205%20Community%20SSU .
Please note: The Maemo CSSU project is not related in any way to Nokia.


( Tag for mass-deleting bugmail: [cleanup20120324] )